//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.0.1 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2022.02.16 at 09:07:18 PM UTC 
//


package generated;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _A_QNAME = new QName("", "a");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TypeA }
     * 
     */
    public TypeA createTypeA() {
        return new TypeA();
    }

    /**
     * Create an instance of {@link TypeB }
     * 
     */
    public TypeB createTypeB() {
        return new TypeB();
    }

    /**
     * Create an instance of {@link TypeC }
     * 
     */
    public TypeC createTypeC() {
        return new TypeC();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TypeA }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link TypeA }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "a")
    public JAXBElement<TypeA> createA(TypeA value) {
        return new JAXBElement<TypeA>(_A_QNAME, TypeA.class, null, value);
    }

}
